<?php

namespace Drupal\xi_updater;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;

/**
 * Class XiUpdaterServiceProvider overrides existing services.
 */
class XiUpdaterServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    // Change the class of update hook registry factory.
    $definition = $container->getDefinition('update.update_hook_registry_factory');
    $definition->setClass('Drupal\xi_updater\UpdateHookRegistryFactory');
  }

}
